Cluster Suspend Resume V2

Operations related to suspending and resuming clusters.

Resume a suspended cluster

Resume (wake) a suspended cluster. Starts an asynchronous resume operation. Related application-group and dependent clusters are included automatically. On success the response confirms the cluster is resuming; poll cluster details until status leaves RESUMING.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the cluster

Responses
202

Resume accepted; the cluster is resuming.

400

Cluster is not eligible to resume, or a suspend/resume operation is already in progress.

403

Forbidden

404

Cluster not found.

put/cluster-management/v2/operations/clusters/v2/{clusterId}/resume/v2
Request samples
Response samples
application/json
{
  • "clusterId": "a1c69c6c-4d6b-4ea8-a746-32bd5eb5ad48",
  • "clusterStatus": "SUSPENDING",
  • "relatedClusterIds": [
    ]
}

Suspend a running cluster

Suspend (hibernate) a running cluster. Starts an asynchronous suspend operation. Related application-group and dependent clusters are included automatically. On success the response confirms the cluster is suspending; poll cluster details until status leaves SUSPENDING.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the cluster

Responses
202

Suspend accepted; the cluster is suspending.

400

Cluster is not eligible to suspend, a suspend/resume operation is already in progress, or the cluster has a maintenance event in progress.

403

Forbidden

404

Cluster not found.

put/cluster-management/v2/operations/clusters/v2/{clusterId}/suspend/v2
Request samples
Response samples
application/json
{
  • "clusterId": "a1c69c6c-4d6b-4ea8-a746-32bd5eb5ad48",
  • "clusterStatus": "SUSPENDING",
  • "relatedClusterIds": [
    ]
}